class UserDevice < ApplicationRecord
  
  # 当前app端传递的platform的值:
  # android: igetui, xiaomi, huawei
  # iso: igetui 目前还不清楚为啥不用apns,暂时不修改
  enum platform: %i[igetui apns xiaomi huawei]
  
  enum device_platform: %i[ios android]
  
  # 用于区分当前的应用，为了推送准备， 因为推送需要根据不同的应用使用不同的 id,secret等。
  enum app_type: %i[ik_duli lx_duli lx_yun aike_yun]

  # 用户区分用户所在平台，0-ikcrm：默认值，独立版用户，1-wxwork: 企微版用户，2-dingtalk: 钉钉版用户
  enum user_platform: %i[ikcrm wxwork dingtalk]
end