class Settings < Settingslogic
  source "#{Rails.root}/config/settings.yml"
  namespace Rails.env

  PLATFORM = %w[ik_duli lx_duli lx_yun aike_yun]
  DEFAULT = 'ik_duli'.freeze

  def self.platform=(platform)
    @platform = platform if PLATFORM.include? platform
  end

  def self.platform
    @platform || DEFAULT
  end

  def self.platform_settings
    self.send(platform)
  end
end
