# https://github.com/mperham/sidekiq/wiki/Using-Redis Disabled CLIENT command
redis_config = {
  host: Settings.redis.host,
  port: Settings.redis.port,
  password: Settings.redis[:password],
  db: Settings.redis.job_db,
  id: nil
}

Sidekiq.configure_server do |config|
  config.redis = redis_config
end

Sidekiq.configure_client do |config|
  config.redis = redis_config
end

Sidekiq.default_worker_options = {
  'retry' => false,
  'queue' => 'push',
  'backtrace' => true
}
