Rails.application.routes.draw do
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  post 'api/v1/token', to: 'pushs#token'
  put 'api/v1/received', to: 'pushs#received'
  post 'api/v1/push_v2', to: 'pushs#push_v2'
  post 'api/v1/push', to: 'pushs#push'


  require 'sidekiq/web'
  mount Sidekiq::Web => '/sidekiq'
  Sidekiq::Web.use Rack::Auth::Basic do |username, password|
    username == "sidekiqadmin" && password == "5529d99a"
  end if Rails.env.production?
  
  resources :user_devices do
    collection do
      post :update_by_user_id
      post :destroy_by_user_id
    end
  end
  
end
