namespace :data_migrations do
  namespace :version do
  
    desc "batch delete notification_statistics data"
    task :v1_batch_delete_notification_statistics_data => :environment do
      last_object = NotificationStatistic.where("notification_statistics.created_at >= ?", '2020-05-30 16:00:00').first

      puts "rake begin time is #{Time.now.to_s}"
      NotificationStatistic.in_batches(of: 10000, finish: last_object ) {|records| records.delete_all} if last_object.present?
      puts "rake end time is #{Time.now.to_s}"
    end
  end
end